Loading...
Searching...
No Matches
casacore::MSSelectionLogError Class Reference

`#include <MSSelectionErrorHandler.h>`

## Public Member Functions

| MSSelectionLogError ()
virtual MSSelectionLogError * | clone ()
virtual | ~MSSelectionLogError ()
virtual void | handleError (MSSelectionError &mssErrorType)
Public Member Functions inherited from casacore::MSSelectionErrorHandler
| MSSelectionErrorHandler ()
| The default constructor generates the message "Table error".
| MSSelectionErrorHandler (const MSSelectionErrorHandler &that)
MSSelectionErrorHandler & | operator= (const MSSelectionErrorHandler &that)
virtual | ~MSSelectionErrorHandler ()
virtual void | reportError (const char *token, const String source=String(""))
virtual String | constructMessage ()
virtual void | reset ()
const std::vector< String > & | getMessages () const
Int | nMessages () const

## Additional Inherited Members

Protected Attributes inherited from casacore::MSSelectionErrorHandler
std::vector< String > | tokenList
std::vector< String > | messageList

## Detailed Description

### Synopsis

The handleError() method is overloaded to send the accumulated error messages to the LogIO object as warning messages.

Definition at line 93 of file MSSelectionErrorHandler.h.

## Constructor & Destructor Documentation

## MSSelectionLogError()

casacore::MSSelectionLogError::MSSelectionLogError | ( |  | ) |

inline

Definition at line 96 of file MSSelectionErrorHandler.h.

References casacore::MSSelectionErrorHandler::MSSelectionErrorHandler().

Referenced by clone().

## ~MSSelectionLogError()

virtual casacore::MSSelectionLogError::~MSSelectionLogError | ( |  | ) |

inline virtual

Definition at line 98 of file MSSelectionErrorHandler.h.

## Member Function Documentation

## clone()

virtual MSSelectionLogError * casacore::MSSelectionLogError::clone | ( |  | ) |

inline virtual

Reimplemented from casacore::MSSelectionErrorHandler.

Definition at line 97 of file MSSelectionErrorHandler.h.

References MSSelectionLogError().

## handleError()

virtual void casacore::MSSelectionLogError::handleError | ( | MSSelectionError & | mssErrorType | ) |

inline virtual

Reimplemented from casacore::MSSelectionErrorHandler.

Definition at line 99 of file MSSelectionErrorHandler.h.

References casacore::MSSelectionError::addMessage(), casacore::MSSelectionErrorHandler::constructMessage(), casacore::AipsError::getMesg(), casacore::MSSelectionErrorHandler::messageList, and casacore::LogIO::WARN.

The documentation for this class was generated from the following file:

- ms/MSSel/MSSelectionErrorHandler.h